# Class: Cri::ArgumentArray

Inherits:
  Array
  - Object
  - Array
  - Cri::ArgumentArray
  show all

Defined in:
  lib/cri/argument_array.rb

## Overview

Represents an array of arguments. It is an array that strips separator arguments (`--`) but provides a `#raw` method to get the raw arguments array, i.e. an array that includes the separator `--` arguments.

## Instance Method Summary collapse

- #initialize(raw_arguments) ⇒ ArgumentArray constructor

  Initializes the array using the given raw arguments.

- #raw ⇒ Array<String>

  The arguments, including any separator arguments (`--`).

## Constructor Details

### #initialize(raw_arguments) ⇒ `ArgumentArray`

Initializes the array using the given raw arguments.

Parameters:

- raw_arguments (`Array<String>`) —

  A list of raw arguments, i.e. including any separator arguments (`--`).

    10
    11
    12
    13

    # File 'lib/cri/argument_array.rb', line 10

    def initialize(raw_arguments)
      super(raw_arguments.reject { |a| a == '--' })
      @raw_arguments = raw_arguments
    end

## Instance Method Details

### #raw ⇒ `Array<String>`

Returns The arguments, including any separator arguments (`--`)

Returns:

- (`Array<String>`) —

  The arguments, including any separator arguments (`--`)

    17
    18
    19

    # File 'lib/cri/argument_array.rb', line 17

    def raw
      @raw_arguments
    end